let
  # SYSTEMS
  m3-ares = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIG+M4CygEQ29eTmLqgyIAFCxy0rgfO23klNiARBEA+3s";
  m3-kratos = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIDl+LtFGsk/A7BvxwiUCyq5wjRzGtQSrBJzzLGxINF4O";
  m3-helios = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIIyHuLITpI+M45ZZem33wDusY2X988mBoWpD1HDeZNRJ";

  systems = [
    m3-ares
    m3-helios
    m3-kratos
  ];
in {
  "secrets/m3tam3re-secrets.age".publicKeys = systems;
  "secrets/tailscale-key.age".publicKeys = systems;
  "secrets/traefik.age".publicKeys = systems;
  "secrets/wg-DE.age".publicKeys = systems;
  "secrets/wg-NL.age".publicKeys = systems;
  "secrets/wg-NO.age".publicKeys = systems;
  "secrets/wg-US.age".publicKeys = systems;
  "secrets/wg-BR.age".publicKeys = systems;
}
